Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 233552 - MAC OSX: NetBeans IDE cannot be installed.
MAC OSX: NetBeans IDE cannot be installed.
Status: RESOLVED FIXED
Product: installer
Classification: Unclassified
Component: Mac Native
7.4
Macintosh Mac OS X
: P3 with 1 vote (vote)
: 7.4
Assigned To: Libor Fischmeistr
issues@installer
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-28 03:59 UTC by azizur
Modified: 2018-10-17 06:17 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Unable to Install NetBeans 7.4 Beta (297.43 KB, image/png)
2013-07-31 19:37 UTC, azizur
Details
Verify_Java_Version on java.com (89.51 KB, image/png)
2013-07-31 19:40 UTC, azizur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description azizur 2013-07-28 03:59:25 UTC
[ JDK VERSION : 1.7.0_25 ]

NetBeans IDE cannot be installed. This software can be installed with Java 7
update 10 or newer. Please download and install the latest update of Java 7
from http://www.oracle.com/technetwork/java/javase/downloads/index.html and
restart NetBeans installation.
Comment 1 Libor Fischmeistr 2013-07-29 07:45:21 UTC
Hello, I tried to reproduce but installer correctly worked for me on JDK 1.7.0_25-b15. Please attach /var/log/install.log and specify your JDK version/build (copy paste output of "java -version"). Also the version of the NetBeans IDE installer build would be great.

Thanks
Comment 2 Jiri Rechtacek 2013-07-29 09:47:49 UTC
There is information which might help to you - http://wiki.netbeans.org/FaqMacRequires7u10OrNewer
Comment 3 azizur 2013-07-31 11:57:57 UTC
When installing the PHP Bundle it should not require us to use JDK. JRE should be sufficient enough for PHP and HTML5 development.

$ java -version
java version "1.6.0_51"
Java(TM) SE Runtime Environment (build 1.6.0_51-b11-457-11M4509)
Java HotSpot(TM) 64-Bit Server VM (build 20.51-b01-457, mixed mode)
Comment 4 azizur 2013-07-31 12:02:05 UTC
(In reply to comment #2)
> There is information which might help to you -
> http://wiki.netbeans.org/FaqMacRequires7u10OrNewer

Sorry this does not help.

On the other hand this http://wiki.netbeans.org/FaqMacJdkHome might have some weight. However if you already do not have NetBeans Installed already that does not apply.
Comment 5 Libor Fischmeistr 2013-07-31 12:06:26 UTC
(In reply to comment #3)
> When installing the PHP Bundle it should not require us to use JDK. JRE should
> be sufficient enough for PHP and HTML5 development.
> 
> $ java -version
> java version "1.6.0_51"
> Java(TM) SE Runtime Environment (build 1.6.0_51-b11-457-11M4509)
> Java HotSpot(TM) 64-Bit Server VM (build 20.51-b01-457, mixed mode)

You are right, for PHP bundle is JRE enough and JDK is not necessary. But if you have Java 6 and from the bug report I can see it's filed against NetBeans 7.4 - daily build or Beta, then Java 7 is required.

NB 7.4 requires Java 7 (7u10 or newer) and cannot run on Java 6 or older.
Comment 6 azizur 2013-07-31 19:37:47 UTC
Created attachment 138083 [details]
Unable to Install NetBeans 7.4 Beta

I have updated the version of JRE I have install. Still no luck.
Comment 7 azizur 2013-07-31 19:40:18 UTC
Created attachment 138084 [details]
Verify_Java_Version on java.com

Here's again in firefox to Verify_Java_Version using java.com
Comment 8 Libor Fischmeistr 2013-08-01 07:10:12 UTC
(In reply to comment #6)
> Created attachment 138083 [details]
> Unable to Install NetBeans 7.4 Beta
> 
> I have updated the version of JRE I have install. Still no luck.

This is valid bug. It happens because you have installed JDK 6, then script (Mac OS script) returning actual Java returns still JDK even if you have installed newer JDK 7. Described: http://docs.oracle.com/javase/7/docs/webnotes/install/mac/mac-jre.html

We will have to localize that JRE in case of PHP and C/C++ bundles.

Thanks for this report. It very useful.
Comment 9 Libor Fischmeistr 2013-08-07 12:38:22 UTC
Fixed in: http://hg.netbeans.org/core-main/rev/67940a306554

Now you should be able to install PHP and C/C++ bundles even if you have only JRE.

Also the launcher changed and tries to find JRE in /Library/Internet Plug-Ins/...


Tomas I would ask you to verify this fix.

Thanks
Comment 10 Quality Engineering 2013-08-09 10:50:17 UTC
Integrated into 'main-silver', will be available in build *201308090746* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/67940a306554
User: Libor Fischmeistr <lfischmeistr@netbeans.org>
Log: #233552: MAC OSX: NetBeans IDE cannot be installed.
Comment 11 jannywatson 2018-10-17 06:17:40 UTC
Yes, I know that this software download on the newer and Windows 10 update but there is some problem while installing that approved by https://www.appletechnicalsupportnumbers.com/how-do-you-contact-apple-customer-service/ and than I install it correctly.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo